import html

def normalize_token_case(token: str) -> str:
    """
    Normalize token case: if any characters are already uppercase, keep as-is.
    Otherwise, convert to uppercase. This handles mixed-case tokens like kPEPE, kBONK.
    """
    if any(c.isupper() for c in token):
        return token
    else:
        return token.upper()

def escape_html(text: str) -> str:
    return html.escape(text)
